bftsmart.tom.server.defaultservices

## Class DefaultReplier

- java.lang.Object
- - bftsmart.tom.server.defaultservices.DefaultReplier

All Implemented Interfaces:
  Replier

    public class DefaultReplier
    extends java.lang.Object
    implements Replier

### Constructor Summary

Constructors
Constructor and Description
`DefaultReplier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `manageReply(bftsmart.tom.core.messages.TOMMessage request, MessageContext msgCtx)`
`void` `setReplicaContext(ReplicaContext rc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultReplier

    public DefaultReplier()

### Method Detail

#### manageReply

    public void manageReply(bftsmart.tom.core.messages.TOMMessage request,
                            MessageContext msgCtx)

Specified by:
  `manageReply` in interface `Replier`

#### setReplicaContext

    public void setReplicaContext(ReplicaContext rc)

Specified by:
  `setReplicaContext` in interface `Replier`